Tivoli Identity Manager V4.5.1 Uninstall JVM Failure

Abstract

JVM failure in the IBM® Tivoli® Identity Manager V4.5.1 uninstall program

Contents

In our example, the Identity Manager node where IBM Tivoli Identity Manager V4.5.1 FP42 was installed had Windows 2000 Server + Service Pack 4 installed with WebSphere Application Server V5.1. We found that the Tivoli Identity Manager uninstall program had a configuration file named Uninstall ITIM.lax(space between Uninstall and ITIM) that referenced the WebSphere Application Server V5.1 JRE. The Tivoli Identity Manager uninstall program only supports the JVM 1.3.1, and WebSphere Application Server V5.1 uses JVM 1.4.

To work around this issue we used these steps:

  1. Install the Sun Java 2 Standard Edition (J2SE) V1.3.1_04 JRE, found at:
    http://java.sun.com/products/archive/j2se/1.3.1_04/
    In our example, we installed to the c:\JavaSoft\JRE\1.3.1_04 directory.

  2. Navigate to the c:\itim45\data folder.

  3. Open the Uninstall ITIM.lax file in a text editor.

  4. Modify the JVM path to point to the JVM 1.3.1:
    Original: lax.nl.current.vm=c:\WebSphere\AppServer\java\bin\javaw.exe
    Modified: lax.nl.current.vm=c:\JavaSoft\JRE\1.3.1_04\bin\javaw.exe

  5. From the Windows Explorer, navigate to the c:\itim\itimUninstallData directory and double-click Uninstall ITIM.exe to start the Unininstall wizard.

Special Notices

This material has not been submitted to any formal IBM test and is published AS IS. It has not been the subject of rigorous review. IBM assumes no responsibility for its accuracy or completeness. The use of this information or the implementation of any of these techniques is a client responsibility and depends upon the client's ability to evaluate and integrate them into the client's operational environment.

Profile

Publish Date
25 July 2005


Rating: Not yet rated


Author(s)

IBM Form Number
TIPS0582